<?xml version="1.0"?>
<project name="Big Screen Bot" default="jar" basedir=".">
    <property name="bin" location="bin"/>
    <property name="lib" location="lib"/>
    <property name="src" location="src"/>

    <path id="classpath">
        <fileset dir="${lib}" includes="**/*.jar"/>
    </path>

    <target name="compile">
        <mkdir dir="${bin}"/>
        <javac
            srcdir="${src}"
            destdir="${bin}"
            classpathref="classpath"
            includeantruntime="yes"
        />
    </target>

    <target name="jar" depends="compile">
        <jar
            destfile="${bin}/bigscreenbot.jar"
            basedir="${bin}"
            includes="**/*.class">
            <manifest>
                <attribute
                    name="Main-Class"
                    value="net.douglasthrift.bigscreenbot.BigScreenBot"
                />
            </manifest>
            <restrict>
                <name name="**.*.class"/>
                <archives>
                    <zips>
                        <fileset dir="${lib}" includes="**/*.jar"/>
                    </zips>
                </archives>
            </restrict>
        </jar>
    </target>

    <target name="clean">
        <delete dir="${bin}"/>
    </target>
</project>
<!-- vim: set expandtab: -->
